
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org PIM.Fields Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.PIM.Fields</h1><h2>Description</h2>
<p>This interface provides access to field types in domains.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.PIM.Fields</tt></p>
<h2>Methods</h2><ul>
<li><a href="#AddField">AddField</a></li>
<li><a href="#DeleteField">DeleteField</a></li>
<li><a href="#GetType">GetType</a></li>
<li><a href="#ListFields">ListFields</a></li>
<li><a href="#ListFieldsWithType">ListFieldsWithType</a></li>
</ul>
<h2>Signals</h2><i>None</i>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="AddField">AddField</a> ( ss )</h3>
<p><i>Description:</i> Add new field to the list. </p><h4>Parameters</h4><i>s: name</i><p>The field's name. </p><i>s: type</i><p>The field's type. </p>
<h3><a name="DeleteField">DeleteField</a> ( s )</h3>
<p><i>Description:</i> Delete field from list. </p><h4>Parameters</h4><i>s: name</i><p>The field's name. </p>
<h3><a name="GetType">GetType</a> ( s ) &rarr; s</h3>
<p><i>Description:</i> Get type of specified field. </p><h4>Parameters</h4><i>s: name</i><p>The field's name. </p><h4>Returns</h4><i>s: type</i><p>The field's type. </p>
<h3><a name="ListFields">ListFields</a> ( ) &rarr; a{ss}</h3>
<p><i>Description:</i> List all specified fields and their types. </p><h4>Returns</h4><i>a{ss}: fields</i><p>A dictionary with field names and types. </p>
<h3><a name="ListFieldsWithType">ListFieldsWithType</a> ( s ) &rarr; as</h3>
<p><i>Description:</i> List all fields with specified type. </p><h4>Parameters</h4><i>s: type</i><p>Field type. </p><h4>Returns</h4><i>as: fields</i><p>A list with field names. </p>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

